Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0004754
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2008-08-29 10:492019-02-05 08:28
ReporterjordimasView Statuspublic 
Assigned Toalostale 
PrioritylowResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0004754: Remove avalon-framework-4.1.5.jar dependency

DescriptionHello,

The Apache Avalon project has been closed[1]

We are only using the Log4JLogger class from this library and it is only used at src-core/src/org/openbravo/base/ConfigParameters.java and src-core/src/org/openbravo/base/HttpBaseServlet.java.

Can we rewrite the code and remove this dependency?

Regards,

Jordi,

[1] http://avalon.apache.org/closed.html [^]
TagsClean-up, ReleaseCandidate
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0004923 closedalostale Remove avalon-framework-4.1.5.jar dependency 
depends on feature request 0037874 closedalostale Remove support for fop rendering from core product as very nearly not used 

-  Notes
(0008790)
shuehner (administrator)
2008-08-30 21:25

Its only a single user really: ConfigParameters. Its needlessly imported in HttBaseServlet. This unused import is already removed in 2.50
(0010350)
shuehner (administrator)
2008-11-17 18:36

The only piece of code using this library is the fop rendering, which is used to render xmlengine-reports to pdf (not jasper). The fop was not yet updated in the library cleanup and stays at an very old version.
Still have to check if the old fop version can be used without this special logger or decide of to updated/deprecate the fop code.
(0011272)
shuehner (administrator)
2008-12-12 18:25

After some analysis:
- Only used in one place: the fop-renderer (used to generate pdf-files from XmlEngine report, for reports which do not use jasper reports)
- The fop code was not updated in the last library update and remains at an old version 0.20.5
- This old fop-version does not support log4j (directly)
- Is can use avalon-logger, directly log to a file or standard-output (which is captured into another logfile by tomcat).

Possible ways to solve this issue for 2.50:
- Keep the avalon dependency for 2.50 (do nothing now), and update fop-library for the next release which drops the avalon dependency
- Modify/Maintain/Ship a modifed copy of the old fop-library to directly support log4j
- Change fop-configuration to standard-out or another (extra) logfile. Problem seperates the log-output from fop from the rest of the openbravo log-output
- update the fop-library now. Problem: Have to update XmlEngine code to work with the new fop-version and re-test all reports based on this.

@pjuvara: Please comment and decide on an option
(0011278)
pjuvara (reporter)
2008-12-12 20:03

I would like to:
Keep the avalon dependency for 2.50 (do nothing now), and update fop-library for the next release which drops the avalon dependency.

Please do not address this defect until we have a 2.50 maintenance branch. When you address it, please do it in the trunk only.
(0011279)
pjuvara (reporter)
2008-12-12 20:05

Downgrading severity to minor since this does not have any significant end user impact.
(0012835)
shuehner (administrator)
2009-01-29 16:56

Moving to feature request as the is no current functional defect. Relating to the cleanup planned at start of next development cycle.
(0036465)
shuehner (administrator)
2011-05-05 22:51

Note that the currently used fop version still depends on this jar. As the fop version was decided to not be changed for 3.0 this file will probably remains it is for the 3.0 cycle until fop - support will be eventually phased out (guess, not decided yet).
(0109561)
alostale (developer)
2019-02-05 08:28

Removed in the scope of remove FOP support project (0037874).

- Issue History
Date Modified Username Field Change
2008-08-29 10:49 jordimas New Issue
2008-08-29 10:49 jordimas Assigned To => cromero
2008-08-29 10:49 jordimas sf_bug_id 0 => 2082062
2008-08-29 10:49 jordimas Regression testing => No
2008-08-30 21:25 shuehner Note Added: 0008790
2008-09-01 11:33 psarobe Status new => scheduled
2008-09-01 11:33 psarobe Assigned To cromero => alostale
2008-09-01 11:33 psarobe fix_in_branch => trunk
2008-11-17 11:01 pjuvara Severity minor => major
2008-11-17 11:01 pjuvara fix_in_branch trunk =>
2008-11-17 18:36 shuehner Note Added: 0010350
2008-12-03 19:03 pjuvara Priority normal => high
2008-12-10 09:46 alostale Assigned To alostale => shuehner
2008-12-12 18:25 shuehner Note Added: 0011272
2008-12-12 18:25 shuehner Assigned To shuehner => pjuvara
2008-12-12 18:25 shuehner Status scheduled => feedback
2008-12-12 20:03 pjuvara Note Added: 0011278
2008-12-12 20:03 pjuvara Assigned To pjuvara => shuehner
2008-12-12 20:03 pjuvara Status feedback => new
2008-12-12 20:05 pjuvara Note Added: 0011279
2008-12-12 20:05 pjuvara Priority high => low
2008-12-12 20:05 pjuvara Severity major => minor
2008-12-18 11:16 rafaroda Status new => acknowledged
2009-01-19 13:37 psarobe Status acknowledged => scheduled
2009-01-19 13:37 psarobe version => trunk
2009-01-29 16:56 shuehner Note Added: 0012835
2009-01-29 16:56 shuehner Type defect => feature request
2009-01-29 16:56 shuehner Relationship added blocks 0007236
2009-01-29 16:56 shuehner Status scheduled => acknowledged
2009-01-29 23:01 pjuvara Tag Attached: Clean-up
2009-01-29 23:01 pjuvara Tag Attached: ReleaseCandidate
2011-05-05 22:51 shuehner Note Added: 0036465
2011-05-18 12:15 shuehner Relationship added blocks 0017233
2011-05-18 12:16 shuehner Relationship deleted blocks 0007236
2018-04-15 15:09 shuehner Relationship added depends on 0037874
2018-04-15 15:09 shuehner Relationship deleted blocks 0017233
2019-02-05 08:27 alostale Assigned To shuehner => alostale
2019-02-05 08:27 alostale Status acknowledged => scheduled
2019-02-05 08:28 alostale Note Added: 0109561
2019-02-05 08:28 alostale Status scheduled => closed
2019-02-05 08:28 alostale Resolution open => fixed
2019-02-05 08:28 alostale Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker